import { HumanActivity, Resolution } from "../../index";
export interface RecognizerStateStore {
    isActive(recognizer: Resolution): Promise<boolean>;
    markAsActive(recognizer: Resolution): Promise<void>;
    markAsInactive(recognizer: Resolution): Promise<void>;
    getLastActivity(recognizer: Resolution): Promise<HumanActivity>;
    updateLastActivity(recognizer: Resolution, activity: HumanActivity): Promise<void>;
}
declare class RecognizersStateStoreDb implements RecognizerStateStore {
    private tableName;
    isActive(recognizer: Resolution): Promise<boolean>;
    markAsActive(recognizer: Resolution): Promise<void>;
    markAsInactive(recognizer: Resolution): Promise<void>;
    getLastActivity(recognizer: Resolution): Promise<HumanActivity>;
    updateLastActivity(recognizer: Resolution, activity: HumanActivity): Promise<void>;
    private updateStatus;
}
export declare const recognizersStateStoreDb: RecognizersStateStoreDb;
export {};
