"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var adapter_sqlite_nativescript_1 = require("@nano-sql/adapter-sqlite-nativescript");
var lib_1 = require("@nano-sql/core/lib");
var model_1 = require("../activity-recognition/recognizers/state/model");
var dbName = "context-apis";
var PluginDb = (function () {
    function PluginDb() {
        this.dbInitialized = false;
    }
    PluginDb.prototype.createDB = function () {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        if (this.dbInitialized) {
                            return [2];
                        }
                        if (!this.createDBProcedure) {
                            this.createDBProcedure = lib_1.nSQL().createDatabase({
                                id: dbName,
                                mode: new adapter_sqlite_nativescript_1.NativeSQLite(),
                                tables: [model_1.recognizersStateModel],
                            });
                        }
                        return [4, this.createDBProcedure];
                    case 1:
                        _a.sent();
                        this.dbInitialized = true;
                        return [2];
                }
            });
        });
    };
    return PluginDb;
}());
exports.pluginDb = new PluginDb();
//# sourceMappingURL=plugin-db.js.map